Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038641
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Cash upminorhave not tried2018-05-28 11:572019-03-27 18:47
ReporterebecerraView Statuspublic 
Assigned ToRetail 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038641: Improvement in Cash Up in the "Count Cash" and "Post, Print & Close" steps

DescriptionAllow to group the payments for expected quantity. For payment with 0 expected quantity will be automatically validated in Count Cash step.
Steps To ReproduceN/A
TagsNo tags attached.
Attached Filesdiff file icon posterminal.diff [^] (31,733 bytes) 2019-01-25 09:09 [Show Content]
diff file icon TestSuite_I38641.diff [^] (19,594 bytes) 2019-01-30 08:30 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040470RR19Q2 scheduledRetail Improvement in Cash Up in the "Count Cash" and "Post, Print & Close" steps 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0109682)
hgbot (developer)
2019-02-12 10:27

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: dc29a8fe7ce166b782772d3f3791176e55aabd9a
Author: Eduardo Becerra <ebec70 <at> yahoo.com>
Date: Tue Feb 12 10:26:07 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/dc29a8fe7ce166b782772d3f3791176e55aabd9a [^]

Fix issue 38641: Improvement in Cash Up in the "Count Cash" and "Post, Print & Close" steps

---
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
M web/org.openbravo.retail.posterminal/css/obpos-main.css
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-steps.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabcountcash.js
M web/org.openbravo.retail.posterminal/js/closecash/view/tabpostprintclose.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0109683)
hgbot (developer)
2019-02-12 10:31

Repository: tools/automation/pi-mobile
Changeset: afe409e21659499cf130ae487a1bbc378def1aae
Author: Eduardo Becerra <ebec70 <at> yahoo.com>
Date: Tue Feb 12 10:30:36 2019 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/afe409e21659499cf130ae487a1bbc378def1aae [^]

Related issue 38641: Test suite

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/selfcheckout/SCOCashup.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/I38641_AgileCashUp.java
---

- Issue History
Date Modified Username Field Change
2018-05-28 11:57 ebecerra New Issue
2018-05-28 11:57 ebecerra Assigned To => Retail
2018-05-28 11:57 ebecerra Triggers an Emergency Pack => No
2018-06-08 12:50 ebecerra File Added: I38641_test.diff
2019-01-21 08:55 ebecerra File Added: posterminal.diff
2019-01-22 12:01 ebecerra File Deleted: I38641_test.diff
2019-01-22 12:01 ebecerra File Added: TestSuite_I38641.diff
2019-01-22 12:03 ebecerra File Deleted: TestSuite_I38641.diff
2019-01-22 12:03 ebecerra File Added: TestSuite_I38641.diff
2019-01-22 12:11 ebecerra File Deleted: posterminal.diff
2019-01-22 12:12 ebecerra File Added: posterminal.diff
2019-01-23 17:03 ebecerra File Deleted: posterminal.diff
2019-01-23 17:04 ebecerra File Added: posterminal.diff
2019-01-25 09:09 ebecerra File Deleted: posterminal.diff
2019-01-25 09:09 ebecerra File Added: posterminal.diff
2019-01-29 13:50 ebecerra File Deleted: TestSuite_I38641.diff
2019-01-29 13:52 ebecerra File Added: TestSuite_I38641.diff
2019-01-30 08:29 ebecerra File Deleted: TestSuite_I38641.diff
2019-01-30 08:30 ebecerra File Added: TestSuite_I38641.diff
2019-02-12 10:27 hgbot Checkin
2019-02-12 10:27 hgbot Note Added: 0109682
2019-02-12 10:31 hgbot Checkin
2019-02-12 10:31 hgbot Note Added: 0109683
2019-03-27 18:46 marvintm Status new => scheduled
2019-03-27 18:46 marvintm Status scheduled => resolved
2019-03-27 18:46 marvintm Fixed in Version => RR19Q2
2019-03-27 18:46 marvintm Resolution open => fixed
2019-03-27 18:47 marvintm Review Assigned To => marvintm
2019-03-27 18:47 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker